dbXML API

## com.dbxml.util
Class Array

    java.lang.Object
      com.dbxml.util.Array

public final class Array
extends java.lang.Object

Array utility methods

Method Summary
`static int[]` `deleteArrayInt(int[] vals, int idx)`
`static long[]` `deleteArrayLong(long[] vals, int idx)`
`static java.lang.Object[]` `deleteArrayObject(java.lang.Object[] vals, int idx)`
`static short[]` `deleteArrayShort(short[] vals, int idx)`
`static int[]` `insertArrayInt(int[] vals, int val, int idx)`
`static long[]` `insertArrayLong(long[] vals, long val, int idx)`
`static java.lang.Object[]` `insertArrayObject(java.lang.Object[] vals, java.lang.Object val, int idx)`
`static short[]` `insertArrayShort(short[] vals, short val, int idx)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### insertArrayObject

    public static java.lang.Object[] insertArrayObject(java.lang.Object[] vals,
                                                       java.lang.Object val,
                                                       int idx)

### deleteArrayObject

    public static java.lang.Object[] deleteArrayObject(java.lang.Object[] vals,
                                                       int idx)

### insertArrayLong

    public static long[] insertArrayLong(long[] vals,
                                         long val,
                                         int idx)

### deleteArrayLong

    public static long[] deleteArrayLong(long[] vals,
                                         int idx)

### insertArrayInt

    public static int[] insertArrayInt(int[] vals,
                                       int val,
                                       int idx)

### deleteArrayInt

    public static int[] deleteArrayInt(int[] vals,
                                       int idx)

### insertArrayShort

    public static short[] insertArrayShort(short[] vals,
                                           short val,
                                           int idx)

### deleteArrayShort

    public static short[] deleteArrayShort(short[] vals,
                                           int idx)

dbXML API

Copyright (c) 2004 The dbXML Group